NumberOutput (Jackson-core 2.2.0 API)
Date: 2013-04-22

com.fasterxml.jackson.core.io

## Class NumberOutput

- java.lang.Object
- - com.fasterxml.jackson.core.io.NumberOutput

-     public final class NumberOutput
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberOutput()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `outputInt(int value, byte[] buffer, int offset)`
    `static int` | `outputInt(int value, char[] buffer, int offset)`
    `static int` | `outputLong(long value, byte[] buffer, int offset)`
    `static int` | `outputLong(long value, char[] buffer, int offset)`
    `static String` | `toString(double value)`
    `static String` | `toString(int value)`
    `static String` | `toString(long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberOutput

          public NumberOutput()

  - ### Method Detail

    - #### outputInt

          public static int outputInt(int value,
                      char[] buffer,
                      int offset)

      Returns:
        Offset within buffer after outputting int

    - #### outputInt

          public static int outputInt(int value,
                      byte[] buffer,
                      int offset)

    - #### outputLong

          public static int outputLong(long value,
                       char[] buffer,
                       int offset)

      Returns:
        Offset within buffer after outputting int

    - #### outputLong

          public static int outputLong(long value,
                       byte[] buffer,
                       int offset)

    - #### toString

          public static String toString(int value)

    - #### toString

          public static String toString(long value)

    - #### toString

          public static String toString(double value)

Copyright © 2012-2013 FasterXML. All Rights Reserved.